awe.sm Administration API

Remove A Connected Domain

Removes a hostname from a subscription. All projects must be removed from the hostname before it can be deleted using domains/{hostname}/update.

POSTapi.awe.sm/domains/{hostname}/destroy

HTTPS is supported on this endpoint.

Required Parameters

Parameter Type Description
hostname string The domain you wish to remove.
subscription_key string The key of the subscription that owns the domain. Found in subscription settings.
application_key string The key of the application authorized to perform administrative actions on the subscription. Found in application settings.

Example

POST http://api.awe.sm/domains/examp.le/destroy?subscription_key=sub-xXXxXxxX&application_key=nZurcZ

{
    "request": {
        "application_key": "nZurcZ",
        "hostname": "examp.le",
        "method": "delete",
        "object": "domain",
        "subscription_key": "sub-xXXxXxxX"
    },
    "response": {
        "deleted": true
    }
}

Last updated 2011-10-27